# IIT Madras TTS Triton repo for dhruva
* Make sure to have `nvidia-docker` installed.
* `bash make_triton_repo.sh`
* It will form the triton repo folder at `triton_model_repo`.
* You may change the tritonserver container tag depending on your driver version.
* Check the notebooks for environment details. We haven't provided the exported yml file because it pulls and patches the latest espnet git, for that, look at the scripts mentioned in the notebooks.
* Build the image `docker build -t dhruva/iitmtts-model-server:1 .`
* Run the container `nvidia-docker run --gpus=all --rm --shm-size 5g --network=host --name dhruva-iitmtts-triton-server -v./triton_models_repo:/models dhruva/iitmtts-model-server:1`
### TODO:
* Batched inference unsupported
* Followed by ensemble-fication